<?php

  function show_filter_panel($url, $filteredTeam, $filteredTeamHome, $filteredTeamGuest, $filteredStadium, $filteredCompetition) {
    if ($filteredTeam != null)    { 
      include_once("functions/teams.php");
      $team_name = $filteredTeam == "NULL" ? "&lt;empty&gt;" : getTeamName($filteredTeam);
      $link_remove_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, array("filter_team")));
      $rm_team_filter = "<a href=\"" . $link_remove_filter . "\">remove</a>";
      ?><div class="visitsFilter">using team filter: yes (<?php echo $team_name; ?>) - <?php echo $rm_team_filter; ?></div><?php }
    
    if ($filteredTeamHome != null)    { 
      include_once("functions/teams.php");
      $team_home_name = $filteredTeamHome == "NULL" ? "&lt;empty&gt;" : getTeamName($filteredTeamHome);
      $link_remove_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, array("filter_home")));
      $rm_home_filter = "<a href=\"" . $link_remove_filter . "\">remove</a>";
      ?><div class="visitsFilter">using team home filter: yes (<?php echo $team_home_name; ?>) - <?php echo $rm_home_filter; ?></div><?php }

    if ($filteredTeamGuest != null)   { 
      include_once("functions/teams.php");
      $team_guest_name = $filteredTeamGuest == "NULL" ? "&lt;empty&gt;" : getTeamName($filteredTeamGuest);
      $link_remove_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, array("filter_guest")));
      $rm_guest_filter = "<a href=\"" . $link_remove_filter . "\">remove</a>";
      ?><div class="visitsFilter">using team guest filter: yes (<?php echo $team_guest_name; ?>) - <?php echo $rm_guest_filter; ?></div><?php }
  
    if ($filteredStadium != null)     { 
      include_once("functions/stadiums.php");
      $stadium_name = $filteredStadium == "NULL" ? "&lt;empty&gt;" : getStadiumName($filteredStadium);
      $link_remove_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, array("filter_stadium")));
      $rm_stadium_filter = "<a href=\"" . $link_remove_filter . "\">remove</a>";
      ?><div class="visitsFilter">using stadium filter: yes (<?php echo $stadium_name; ?>) - <?php echo $rm_stadium_filter; ?></div><?php }
  
    if ($filteredCompetition != null) { 
      include_once("functions/competitions.php");
      $competition_name = $filteredCompetition == "NULL" ? "&lt;empty&gt;" : getCompetitionName($filteredCompetition);
      $link_remove_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, array("filter_competition")));
      $rm_competition_filter = "<a href=\"" . $link_remove_filter . "\">remove</a>";
      ?><div class="visitsFilter">using competition filter: yes (<?php echo $competition_name; ?>) - <?php echo $rm_competition_filter; ?></div><?php }

    if( $filteredTeam != null || $filteredTeamHome != null || 
      $filteredTeamGuest != null || $filteredStadium != null || $filteredCompetition != null) { 

      $params = array("filter_team", "filter_home", "filter_guest", "filter_stadium", "filter_competition");
      $link_clear_filter = str_replace("&", "&amp;", gh_remove_url_params_from_array($url, $params));
    
?> 
    <div class="visitClearFilter"><a href="<?php echo $link_clear_filter; ?>"><?php _e('clear filters', 'groundhopping');?></a></div>
<?php 

    } 
  

  }


?>