<?php

function show_visit_form($url) {

	include_once("functions/stadiums.php");
	$stadiums = getStadiumListAllEntries();
	
	include_once("functions/teams.php");
  $teams = getTeamListEntries();
  
	include_once("functions/competitions.php");
  $competitions = getCompetitionList();
  
	?> 
	 
  <div id="visit-input" style="display: none;">
    <form name="visitinputform" method="post">
      <input type="hidden" name="visitform_hidden" value="Edit Visit"/>
      <input type="hidden" name="id" value=""/>
      <table>
        <thead>
           <tr>
             <th id="visit-input-header">Edit a Visit</th>
             <th></th>
           </tr>
         </thead>
         <tbody class="input-form-area">
           <tr>
             <td><label><?php _e('Date', 'groundhopping'); ?></label></td>
             <td>
               <input type="text" name="date" id="date" />
               <input type="hidden" name="datehidden" id="datehidden"/>
             </td>
           </tr><tr>
             <td><label><?php _e('Time', 'groundhopping'); ?></label></td>
             <td><input type="text" name="time" id="time" /></td>
           </tr><tr>
             <td><label>Stadium</label></td>
             <td><select name="stadium" id="stadium">
<?php foreach ($stadiums as $stadium) { ?> 	
		           <option value="<?php echo $stadium->id; ?>"><?php echo $stadium->name; ?></option>
<?php } ?>
			           </select></td>
           </tr><tr>
             <td><label>Home Team</label></td>
             <td><select name="team-home" id="team-home">
<?php foreach ($teams as $team) { ?>	
	             <option value="<?php echo $team->id; ?>"><?php echo $team->name; ?></option> 
<?php } ?>
							   </select>
             </td>
           </tr><tr>
             <td><label>Home Away</label></td>
             <td><select name="team-away" id="team-away">
<?php foreach ($teams as $team) { ?>	
		           <option value="<?php echo $team->id; ?>"><?php echo $team->name; ?></option> 
<?php } ?>
							</select></td>
           </tr><tr>
             <td><label>Competition</label></td>
             <td><select name="competition" id="competition">
						   <option value="0"></option>
<?php foreach ($competitions as $competition) { ?> 	
		           <option value="<?php echo $competition->id; ?>"><?php echo $competition->name; ?></option> 
<?php } ?>
	           </select></td>
           </tr>
		     </tbody>
      </table>

        <table>
          <tbody>
            <tr>
              <td>
                <div id="confirmButtons">
		<a class="button blue" id="addVisit" onclick="javascript:this.blur(); visit_setFormActionAndSubmit('<?php echo $url ?>');">Add Visit</a>
		<a class="button blue" id="editVisit" style="display:none;" onclick="javascript:this.blur(); visit_setFormActionAndSubmit('<?php echo $url ?>');">Edit Visit</a>
		<a class="button gray" onclick="javascript:visit_disablePopup();">Cancel</a>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
      </form>
    </div>
    <div id="backgroundPopup" style="display: none;"></div>
    
<?php 

} 

function show_visits_form_add_visit($url) { ?> 
	
	<div id="confirmButtons">
	  <a class="button blue" onclick="javascript:visit_add();">Add new Visit</a>
	</div> 
	
<?php } ?>