<?php

/**
 * Description: Input form for new stadium and edit
 * existing stadiums.
 * Author: AndiSmirre
 */
function gh_stadium_inputform($url) {
    if (is_user_logged_in()) show_stadium_form($url);
    else {

      include_once("errorbox.php");
      show_error_box("login required", "You must log in to be able to edit stadiums");
  
    }
}

function show_stadium_form_add_stadium($url) {
?>
    <div id="confirmButtons" style="text-align: left;">
        <a class="button blue" onclick="javascript:stadium_add();" style="padding: 0px 20px 0px 20px; font-size: 18px/33px;">Add Stadium</a>
    </div>
<?php

}

function show_stadium_form($url) {
?>
      <div id="stadium-input" style="display: none;">
        <form name="stadiuminputform" method="post">
          <input type="hidden" name="stadiumform_hidden" value="Edit Stadium"/>
          <input type="hidden" name="id" value=""/>
          <table>
            <thead>
              <tr>
                <th id="stadium-input-header">Edit a Stadium</th><th></th>
              </tr>
            </thead>
            <tbody>
	      <tr>
                <td><label>Name *</label></td>
		<td><input type="text" name="stadiumname" /></td>
	      </tr><tr>
                <td><label>Latitude *</label></td>
                <td><input type="text" name="latitude" /></td>
              </tr><tr>
                <td><label>Longitude *</label></td>
		<td><input type="text" name="longitude" /></td>
	      </tr>
	    </tbody>
	  </table>
          <div id="confirmButtons">
            <a class="button blue" id="addStadium" onclick="javascript:this.blur(); stadium_setFormActionAndSubmit('<?php echo $url ?>');">Add Stadium<span></span></a>
            <a class="button blue" id="editStadium" style="display:none;" onclick="javascript:this.blur(); stadium_setFormActionAndSubmit('<?php echo $url ?>');">Edit stadium<span></span></a>
            <a class="button gray" onclick="javascript:stadium_disablePopup();">Cancel<span></span></a>
	  </div>
        </form>
      </div>
      <div id="backgroundPopup" style="display: none;"></div>
<?php
}